; ### Marlin K-Factor Calibration Pattern ###
; -------------------------------------------
;
; Printer: ankermake
; Filament: PLA
; Created: Wed Mar 22 2023 11:40:36 GMT+0900 (日本標準時)
;
; Settings Printer:
; Filament Diameter = 1.75 mm
; Nozzle Diameter = 0.4 mm
; Nozzle Temperature = 210 °C
; Bed Temperature = 60 °C
; Retraction Distance = 1.2 mm
; Layer Height = 0.2 mm
; Extruder = 0 
; Fan Speed = 0 %
; Z-axis Offset = 0 mm
;
; Settings Print Bed:
; Bed Shape = Rect
; Bed Size X = 235 mm
; Bed Size Y = 235 mm
; Origin Bed Center = false
;
; Settings Speed:
; Slow Printing Speed = 2400 mm/min
; Fast Printing Speed = 15000 mm/min
; Movement Speed = 15000 mm/min
; Retract Speed = 3600 mm/min
; Unretract Speed = 3600 mm/min
; Printing Acceleration = 2500 mm/s^2
; Jerk X-axis = 10
; Jerk Y-axis = 10
; Jerk Z-axis =  firmware default
; Jerk Extruder =  firmware default
;
; Settings Pattern:
; Linear Advance Version = 1.5
; Starting Value Factor = 0
; Ending Value Factor = 0.2
; Factor Stepping = 0.01
; Test Line Spacing = 5 mm
; Test Line Length Slow = 20 mm
; Test Line Length Fast = 40 mm
; Print Pattern = Standard
; Print Frame = false
; Number Lines = true
; Print Size X = 98 mm
; Print Size Y = 125 mm
; Print Rotation = 0 degree
;
; Settings Advance:
; Nozzle / Line Ratio = 1.2
; Bed leveling = 0
; Use FWRETRACT = false
; Extrusion Multiplier = 0.95
; Prime Nozzle = true
; Prime Extrusion Multiplier = 2.5
; Prime Speed = 1800
; Dwell Time = 2 s
;
; prepare printing
;
G21 ; Millimeter units
G90 ; Absolute XYZ
M83 ; Relative E
G28 ; Home all axes
T0 ; Switch to tool 0
G1 Z10 F100 ; Z raise
M104 S210 ; Set nozzle temperature (no wait)
M190 S60 ; Set bed temperature (wait)
M109 S210 ; Wait for nozzle temp
M204 P2500 ; Acceleration
M205 X10 ; X Jerk
M205 Y10 ; Y Jerk
G92 E0 ; Reset extruder distance
M106 P0 S0
G1 X117.5 Y117.5 F15000 ; move to start
G1 Z0.2 F2400 ; Move to layer height
;
; prime nozzle
;
G1 X68.5 Y55 F15000 ; move to start
G1 X68.5 Y180 E12.4726 F1800 ; print line
G1 X69.22 Y180 F15000 ; move to start
G1 X69.22 Y55 E12.4726 F1800 ; print line
G1 E-1.2 F3600 ; retract
;
; start the Test pattern
;
G4 P2000 ; Pause (dwell) for 2 seconds
G1 X78.5 Y55 F15000 ; move to start
M900 K0 ; set K-factor
M117 K0 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y55 E0.7583 F2400 ; print line
G1 X138.5 Y55 E1.5167 F15000 ; print line
G1 X158.5 Y55 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y60 F15000 ; move to start
M900 K0.01 ; set K-factor
M117 K0.01 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y60 E0.7583 F2400 ; print line
G1 X138.5 Y60 E1.5167 F15000 ; print line
G1 X158.5 Y60 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y65 F15000 ; move to start
M900 K0.02 ; set K-factor
M117 K0.02 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y65 E0.7583 F2400 ; print line
G1 X138.5 Y65 E1.5167 F15000 ; print line
G1 X158.5 Y65 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y70 F15000 ; move to start
M900 K0.03 ; set K-factor
M117 K0.03 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y70 E0.7583 F2400 ; print line
G1 X138.5 Y70 E1.5167 F15000 ; print line
G1 X158.5 Y70 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y75 F15000 ; move to start
M900 K0.04 ; set K-factor
M117 K0.04 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y75 E0.7583 F2400 ; print line
G1 X138.5 Y75 E1.5167 F15000 ; print line
G1 X158.5 Y75 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y80 F15000 ; move to start
M900 K0.05 ; set K-factor
M117 K0.05 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y80 E0.7583 F2400 ; print line
G1 X138.5 Y80 E1.5167 F15000 ; print line
G1 X158.5 Y80 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y85 F15000 ; move to start
M900 K0.06 ; set K-factor
M117 K0.06 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y85 E0.7583 F2400 ; print line
G1 X138.5 Y85 E1.5167 F15000 ; print line
G1 X158.5 Y85 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y90 F15000 ; move to start
M900 K0.07 ; set K-factor
M117 K0.07 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y90 E0.7583 F2400 ; print line
G1 X138.5 Y90 E1.5167 F15000 ; print line
G1 X158.5 Y90 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y95 F15000 ; move to start
M900 K0.08 ; set K-factor
M117 K0.08 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y95 E0.7583 F2400 ; print line
G1 X138.5 Y95 E1.5167 F15000 ; print line
G1 X158.5 Y95 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y100 F15000 ; move to start
M900 K0.09 ; set K-factor
M117 K0.09 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y100 E0.7583 F2400 ; print line
G1 X138.5 Y100 E1.5167 F15000 ; print line
G1 X158.5 Y100 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y105 F15000 ; move to start
M900 K0.1 ; set K-factor
M117 K0.1 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y105 E0.7583 F2400 ; print line
G1 X138.5 Y105 E1.5167 F15000 ; print line
G1 X158.5 Y105 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y110 F15000 ; move to start
M900 K0.11 ; set K-factor
M117 K0.11 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y110 E0.7583 F2400 ; print line
G1 X138.5 Y110 E1.5167 F15000 ; print line
G1 X158.5 Y110 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y115 F15000 ; move to start
M900 K0.12 ; set K-factor
M117 K0.12 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y115 E0.7583 F2400 ; print line
G1 X138.5 Y115 E1.5167 F15000 ; print line
G1 X158.5 Y115 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y120 F15000 ; move to start
M900 K0.13 ; set K-factor
M117 K0.13 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y120 E0.7583 F2400 ; print line
G1 X138.5 Y120 E1.5167 F15000 ; print line
G1 X158.5 Y120 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y125 F15000 ; move to start
M900 K0.14 ; set K-factor
M117 K0.14 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y125 E0.7583 F2400 ; print line
G1 X138.5 Y125 E1.5167 F15000 ; print line
G1 X158.5 Y125 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y130 F15000 ; move to start
M900 K0.15 ; set K-factor
M117 K0.15 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y130 E0.7583 F2400 ; print line
G1 X138.5 Y130 E1.5167 F15000 ; print line
G1 X158.5 Y130 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y135 F15000 ; move to start
M900 K0.16 ; set K-factor
M117 K0.16 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y135 E0.7583 F2400 ; print line
G1 X138.5 Y135 E1.5167 F15000 ; print line
G1 X158.5 Y135 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y140 F15000 ; move to start
M900 K0.17 ; set K-factor
M117 K0.17 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y140 E0.7583 F2400 ; print line
G1 X138.5 Y140 E1.5167 F15000 ; print line
G1 X158.5 Y140 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y145 F15000 ; move to start
M900 K0.18 ; set K-factor
M117 K0.18 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y145 E0.7583 F2400 ; print line
G1 X138.5 Y145 E1.5167 F15000 ; print line
G1 X158.5 Y145 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y150 F15000 ; move to start
M900 K0.19 ; set K-factor
M117 K0.19 ; 
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y150 E0.7583 F2400 ; print line
G1 X138.5 Y150 E1.5167 F15000 ; print line
G1 X158.5 Y150 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X78.5 Y155 F15000 ; move to start
;
; Mark the test area for reference
M117 K0
M900 K0 ; Set K-factor 0
G1 X98.5 Y160 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X98.5 Y180 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 X138.5 Y160 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X138.5 Y180 E0.7583 F2400 ; print line
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
;
; print K-values
;
G1 X160.5 Y53 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y53 E0.0758 F2400 ; 0
G1 X162.5 Y55 E0.0758 F2400 ; 0
G1 X162.5 Y57 E0.0758 F2400 ; 0
G1 X160.5 Y57 E0.0758 F2400 ; 0
G1 X160.5 Y55 E0.0758 F2400 ; 0
G1 X160.5 Y53 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y63 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y63 E0.0758 F2400 ; 0
G1 X162.5 Y65 E0.0758 F2400 ; 0
G1 X162.5 Y67 E0.0758 F2400 ; 0
G1 X160.5 Y67 E0.0758 F2400 ; 0
G1 X160.5 Y65 E0.0758 F2400 ; 0
G1 X160.5 Y63 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y63 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y63.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y63 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X166.5 Y63 E0.0758 F2400 ; 0
G1 X166.5 Y65 E0.0758 F2400 ; 0
G1 X166.5 Y67 E0.0758 F2400 ; 0
G1 X164.5 Y67 E0.0758 F2400 ; 0
G1 X164.5 Y65 E0.0758 F2400 ; 0
G1 X164.5 Y63 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X167.5 Y63 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X167.5 Y65 F15000 ; move to start
G1 X167.5 Y67 F15000 ; move to start
G1 X169.5 Y67 E0.0758 F2400 ; 2
G1 X169.5 Y65 E0.0758 F2400 ; 2
G1 X167.5 Y65 E0.0758 F2400 ; 2
G1 X167.5 Y63 E0.0758 F2400 ; 2
G1 X169.5 Y63 E0.0758 F2400 ; 2
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y73 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y73 E0.0758 F2400 ; 0
G1 X162.5 Y75 E0.0758 F2400 ; 0
G1 X162.5 Y77 E0.0758 F2400 ; 0
G1 X160.5 Y77 E0.0758 F2400 ; 0
G1 X160.5 Y75 E0.0758 F2400 ; 0
G1 X160.5 Y73 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y73 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y73.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y73 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X166.5 Y73 E0.0758 F2400 ; 0
G1 X166.5 Y75 E0.0758 F2400 ; 0
G1 X166.5 Y77 E0.0758 F2400 ; 0
G1 X164.5 Y77 E0.0758 F2400 ; 0
G1 X164.5 Y75 E0.0758 F2400 ; 0
G1 X164.5 Y73 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X167.5 Y73 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X167.5 Y75 F15000 ; move to start
G1 X167.5 Y77 F15000 ; move to start
G1 X167.5 Y75 E0.0758 F2400 ; 4
G1 X169.5 Y75 E0.0758 F2400 ; 4
G1 X169.5 Y77 F15000 ; move to start
G1 X169.5 Y75 E0.0758 F2400 ; 4
G1 X169.5 Y73 E0.0758 F2400 ; 4
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y83 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y83 E0.0758 F2400 ; 0
G1 X162.5 Y85 E0.0758 F2400 ; 0
G1 X162.5 Y87 E0.0758 F2400 ; 0
G1 X160.5 Y87 E0.0758 F2400 ; 0
G1 X160.5 Y85 E0.0758 F2400 ; 0
G1 X160.5 Y83 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y83 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y83.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y83 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X166.5 Y83 E0.0758 F2400 ; 0
G1 X166.5 Y85 E0.0758 F2400 ; 0
G1 X166.5 Y87 E0.0758 F2400 ; 0
G1 X164.5 Y87 E0.0758 F2400 ; 0
G1 X164.5 Y85 E0.0758 F2400 ; 0
G1 X164.5 Y83 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X167.5 Y83 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X167.5 Y85 F15000 ; move to start
G1 X169.5 Y85 E0.0758 F2400 ; 6
G1 X169.5 Y83 E0.0758 F2400 ; 6
G1 X167.5 Y83 E0.0758 F2400 ; 6
G1 X167.5 Y85 E0.0758 F2400 ; 6
G1 X167.5 Y87 E0.0758 F2400 ; 6
G1 X169.5 Y87 E0.0758 F2400 ; 6
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y93 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y93 E0.0758 F2400 ; 0
G1 X162.5 Y95 E0.0758 F2400 ; 0
G1 X162.5 Y97 E0.0758 F2400 ; 0
G1 X160.5 Y97 E0.0758 F2400 ; 0
G1 X160.5 Y95 E0.0758 F2400 ; 0
G1 X160.5 Y93 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y93 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y93.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y93 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X166.5 Y93 E0.0758 F2400 ; 0
G1 X166.5 Y95 E0.0758 F2400 ; 0
G1 X166.5 Y97 E0.0758 F2400 ; 0
G1 X164.5 Y97 E0.0758 F2400 ; 0
G1 X164.5 Y95 E0.0758 F2400 ; 0
G1 X164.5 Y93 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X167.5 Y93 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X167.5 Y95 F15000 ; move to start
G1 X169.5 Y95 E0.0758 F2400 ; 8
G1 X169.5 Y93 E0.0758 F2400 ; 8
G1 X167.5 Y93 E0.0758 F2400 ; 8
G1 X167.5 Y95 E0.0758 F2400 ; 8
G1 X167.5 Y97 E0.0758 F2400 ; 8
G1 X169.5 Y97 E0.0758 F2400 ; 8
G1 X169.5 Y95 E0.0758 F2400 ; 8
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y103 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y103 E0.0758 F2400 ; 0
G1 X162.5 Y105 E0.0758 F2400 ; 0
G1 X162.5 Y107 E0.0758 F2400 ; 0
G1 X160.5 Y107 E0.0758 F2400 ; 0
G1 X160.5 Y105 E0.0758 F2400 ; 0
G1 X160.5 Y103 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y103 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y103.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y103 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X164.5 Y105 E0.0758 F2400 ; 1
G1 X164.5 Y107 E0.0758 F2400 ; 1
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y113 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y113 E0.0758 F2400 ; 0
G1 X162.5 Y115 E0.0758 F2400 ; 0
G1 X162.5 Y117 E0.0758 F2400 ; 0
G1 X160.5 Y117 E0.0758 F2400 ; 0
G1 X160.5 Y115 E0.0758 F2400 ; 0
G1 X160.5 Y113 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y113 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y113.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y113 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X164.5 Y115 E0.0758 F2400 ; 1
G1 X164.5 Y117 E0.0758 F2400 ; 1
G1 E-1.2 F3600 ; retract
G1 X165.5 Y113 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X165.5 Y115 F15000 ; move to start
G1 X165.5 Y117 F15000 ; move to start
G1 X167.5 Y117 E0.0758 F2400 ; 2
G1 X167.5 Y115 E0.0758 F2400 ; 2
G1 X165.5 Y115 E0.0758 F2400 ; 2
G1 X165.5 Y113 E0.0758 F2400 ; 2
G1 X167.5 Y113 E0.0758 F2400 ; 2
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y123 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y123 E0.0758 F2400 ; 0
G1 X162.5 Y125 E0.0758 F2400 ; 0
G1 X162.5 Y127 E0.0758 F2400 ; 0
G1 X160.5 Y127 E0.0758 F2400 ; 0
G1 X160.5 Y125 E0.0758 F2400 ; 0
G1 X160.5 Y123 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y123 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y123.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y123 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X164.5 Y125 E0.0758 F2400 ; 1
G1 X164.5 Y127 E0.0758 F2400 ; 1
G1 E-1.2 F3600 ; retract
G1 X165.5 Y123 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X165.5 Y125 F15000 ; move to start
G1 X165.5 Y127 F15000 ; move to start
G1 X165.5 Y125 E0.0758 F2400 ; 4
G1 X167.5 Y125 E0.0758 F2400 ; 4
G1 X167.5 Y127 F15000 ; move to start
G1 X167.5 Y125 E0.0758 F2400 ; 4
G1 X167.5 Y123 E0.0758 F2400 ; 4
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y133 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y133 E0.0758 F2400 ; 0
G1 X162.5 Y135 E0.0758 F2400 ; 0
G1 X162.5 Y137 E0.0758 F2400 ; 0
G1 X160.5 Y137 E0.0758 F2400 ; 0
G1 X160.5 Y135 E0.0758 F2400 ; 0
G1 X160.5 Y133 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y133 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y133.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y133 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X164.5 Y135 E0.0758 F2400 ; 1
G1 X164.5 Y137 E0.0758 F2400 ; 1
G1 E-1.2 F3600 ; retract
G1 X165.5 Y133 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X165.5 Y135 F15000 ; move to start
G1 X167.5 Y135 E0.0758 F2400 ; 6
G1 X167.5 Y133 E0.0758 F2400 ; 6
G1 X165.5 Y133 E0.0758 F2400 ; 6
G1 X165.5 Y135 E0.0758 F2400 ; 6
G1 X165.5 Y137 E0.0758 F2400 ; 6
G1 X167.5 Y137 E0.0758 F2400 ; 6
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
G1 X160.5 Y143 F15000 ; move to start
G1 Z0.2 F2400 ; zHop
G1 E1.2 F3600 ; un-retract
G1 X162.5 Y143 E0.0758 F2400 ; 0
G1 X162.5 Y145 E0.0758 F2400 ; 0
G1 X162.5 Y147 E0.0758 F2400 ; 0
G1 X160.5 Y147 E0.0758 F2400 ; 0
G1 X160.5 Y145 E0.0758 F2400 ; 0
G1 X160.5 Y143 E0.0758 F2400 ; 0
G1 E-1.2 F3600 ; retract
G1 X163.5 Y143 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X163.5 Y143.4 E0.0152 F2400 ; dot
G1 E-1.2 F3600 ; retract
G1 X164.5 Y143 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X164.5 Y145 E0.0758 F2400 ; 1
G1 X164.5 Y147 E0.0758 F2400 ; 1
G1 E-1.2 F3600 ; retract
G1 X165.5 Y143 F15000 ; move to start
G1 E1.2 F3600 ; un-retract
G1 X165.5 Y145 F15000 ; move to start
G1 X167.5 Y145 E0.0758 F2400 ; 8
G1 X167.5 Y143 E0.0758 F2400 ; 8
G1 X165.5 Y143 E0.0758 F2400 ; 8
G1 X165.5 Y145 E0.0758 F2400 ; 8
G1 X165.5 Y147 E0.0758 F2400 ; 8
G1 X167.5 Y147 E0.0758 F2400 ; 8
G1 X167.5 Y145 E0.0758 F2400 ; 8
G1 E-1.2 F3600 ; retract
G1 Z0.3 F2400 ; zHop
;
; FINISH
;
M107 ; Turn off fan
M400 ; Finish moving
M104 S0 ; Turn off hotend
M140 S0 ; Turn off bed
G1 Z30 X235 Y235 F15000 ; Move away from the print
M84 ; Disable motors
M501 ; Load settings from EEPROM
;